CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

TextPrecision Property (ActiveX)

2023-1-3 03:45| 发布者: admin| 查看: 176| 评论: 0|来自: AutoCAD

摘要: 指定角度尺寸文本的精度。

指定角度尺寸文本的精度。

支持的平台:仅窗口

签名

工 务 局:

object.TextPrecision
对象

类型:3点角度暗角

此属性适用的对象。

属性值

只读:

类型:枚举acDimPrecision

  • acDimPrecisionZero: 0.
  • acDimPrecisionOne: 0.0
  • acDimPrecisionTwo: 0.00
  • acDimPrecisionThree: 0.000
  • acDimPrecisionFour: 0.0000
  • acDimPrecisionFive: 0.00000
  • acDimPrecisionSix: 0.000000
  • acDimPrecisionSeven: 0.0000000
  • acDimPrecisionEight: 0.00000000

言论

注意:此属性覆盖给定维度的 DIMADEC 系统变量的值。

例子

工 务 局:

Sub Example_TextPrecision()
    ' This example creates a Dim3PointAngular object in model space and
    ' uses the TextPrecision property to set the precision of
    ' the dimension text to 4 decimal places

    Dim DimPointAngularObj As AcadDim3PointAngular
    Dim AngleVertex(0 To 2) As Double
    Dim FirstPoint(0 To 2) As Double, SecondPoint(0 To 2) As Double
    Dim TextPoint(0 To 2) As Double
    
    ' Define the new Dim3PointAngular object
    AngleVertex(0) = 0: AngleVertex(1) = 0: AngleVertex(2) = 0
    FirstPoint(0) = 2: FirstPoint(1) = 2: FirstPoint(2) = 0
    SecondPoint(0) = 1: SecondPoint(1) = 4: SecondPoint(2) = 0
    TextPoint(0) = 6: TextPoint(1) = 6: TextPoint(2) = 0

    ' Create the new Dim3PointAngular object in model space
    Set DimPointAngularObj = ThisDrawing.ModelSpace.AddDim3PointAngular(AngleVertex, FirstPoint, SecondPoint, TextPoint)
    ThisDrawing.Application.ZoomAll

    ' Read and display current dimension text precision
    MsgBox "The dimension text precision is currently set to: " & DimPointAngularObj.TextPrecision

    ' Increase the distance of the dimension gap
    DimPointAngularObj.TextPrecision = acDimPrecisionFour
    ThisDrawing.Regen acAllViewports
    
    ' Read and display current dimension text precision
    MsgBox "The dimension text precision is now set to: " & DimPointAngularObj.TextPrecision
    
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_TextPrecision()
    ;; This example creates a Dim3PointAngular object in model space and
    ;; uses the TextPrecision property to set the precision of
    ;; the dimension text to 4 decimal places
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; Define the new Dim3PointAngular object
    (setq AngleVertex (vlax-3d-point 0 0 0)
          FirstPoint (vlax-3d-point 2 2 0)
          SecondPoint (vlax-3d-point 1 4 0)
          TextPoint (vlax-3d-point 6 6 0))

    ;; Create the new Dim3PointAngular object in model space
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq dimPointAngularObj (vla-AddDim3PointAngular modelSpace AngleVertex FirstPoint SecondPoint TextPoint))
    (vla-ZoomAll acadObj)

    ;; Read and display current dimension text precision
    (alert (strcat "The dimension text precision is currently set to: " (itoa (vla-get-TextPrecision dimPointAngularObj))))

    ;; Increase the distance of the dimension gap
    (vla-put-TextPrecision dimPointAngularObj acDimPrecisionFour)
    (vla-Regen doc acAllViewports)
    
    ;; Read and display current dimension text precision
    (alert (strcat "The dimension text precision is now set to: " (rtos (vla-get-TextPrecision dimPointAngularObj) 2)))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-11 21:28

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部